Delete a list of call recordings
Permanently deletes a list of call recordings.
POST
/
recordings
/
actions
/
delete
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const action = await client.recordings.actions.delete({
ids: ['428c31b6-7af4-4bcb-b7f5-5013ef9657c1', '428c31b6-7af4-4bcb-b7f5-5013ef9657c2'],
});
console.log(action.status);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
action = client.recordings.actions.delete(
ids=["428c31b6-7af4-4bcb-b7f5-5013ef9657c1", "428c31b6-7af4-4bcb-b7f5-5013ef9657c2"],
)
print(action.status)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.Recordings.Actions.Delete(context.TODO(), telnyx.RecordingActionDeleteParams{
IDs: []string{"428c31b6-7af4-4bcb-b7f5-5013ef9657c1", "428c31b6-7af4-4bcb-b7f5-5013ef9657c2"},
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Status)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.recordings.actions.ActionDeleteParams;
import com.telnyx.sdk.models.recordings.actions.ActionDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionDeleteParams params = ActionDeleteParams.builder()
.addId("428c31b6-7af4-4bcb-b7f5-5013ef9657c1")
.addId("428c31b6-7af4-4bcb-b7f5-5013ef9657c2")
.build();
ActionDeleteResponse action = client.recordings().actions().delete(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
action = telnyx.recordings.actions.delete(
ids: ["428c31b6-7af4-4bcb-b7f5-5013ef9657c1", "428c31b6-7af4-4bcb-b7f5-5013ef9657c2"]
)
puts(action)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$action = $client->recordings->actions->delete(
ids: [
'428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'428c31b6-7af4-4bcb-b7f5-5013ef9657c2',
],
);
var_dump($action);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx recordings:actions delete \
--api-key 'My API Key' \
--id 428c31b6-7af4-4bcb-b7f5-5013ef9657c1 \
--id 428c31b6-7af4-4bcb-b7f5-5013ef9657c2curl --request POST \
--url https://api.telnyx.com/v2/recordings/actions/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"428c31b6-7af4-4bcb-b7f5-5013ef9657c1",
"428c31b6-7af4-4bcb-b7f5-5013ef9657c2"
]
}
'{
"status": "ok"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Deletes recordings for the given list of IDs.
List of call recording IDs to delete.
Response
The recordings have been successfully deleted.
Available options:
ok Example:
"ok"
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const action = await client.recordings.actions.delete({
ids: ['428c31b6-7af4-4bcb-b7f5-5013ef9657c1', '428c31b6-7af4-4bcb-b7f5-5013ef9657c2'],
});
console.log(action.status);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
action = client.recordings.actions.delete(
ids=["428c31b6-7af4-4bcb-b7f5-5013ef9657c1", "428c31b6-7af4-4bcb-b7f5-5013ef9657c2"],
)
print(action.status)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.Recordings.Actions.Delete(context.TODO(), telnyx.RecordingActionDeleteParams{
IDs: []string{"428c31b6-7af4-4bcb-b7f5-5013ef9657c1", "428c31b6-7af4-4bcb-b7f5-5013ef9657c2"},
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Status)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.recordings.actions.ActionDeleteParams;
import com.telnyx.sdk.models.recordings.actions.ActionDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionDeleteParams params = ActionDeleteParams.builder()
.addId("428c31b6-7af4-4bcb-b7f5-5013ef9657c1")
.addId("428c31b6-7af4-4bcb-b7f5-5013ef9657c2")
.build();
ActionDeleteResponse action = client.recordings().actions().delete(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
action = telnyx.recordings.actions.delete(
ids: ["428c31b6-7af4-4bcb-b7f5-5013ef9657c1", "428c31b6-7af4-4bcb-b7f5-5013ef9657c2"]
)
puts(action)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$action = $client->recordings->actions->delete(
ids: [
'428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'428c31b6-7af4-4bcb-b7f5-5013ef9657c2',
],
);
var_dump($action);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx recordings:actions delete \
--api-key 'My API Key' \
--id 428c31b6-7af4-4bcb-b7f5-5013ef9657c1 \
--id 428c31b6-7af4-4bcb-b7f5-5013ef9657c2curl --request POST \
--url https://api.telnyx.com/v2/recordings/actions/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"428c31b6-7af4-4bcb-b7f5-5013ef9657c1",
"428c31b6-7af4-4bcb-b7f5-5013ef9657c2"
]
}
'{
"status": "ok"
}